noinst_LTLIBRARIES = libpsmoduleastrom.la

libpsmoduleastrom_la_CPPFLAGS = $(SRCINC) $(PSMODULE_CFLAGS) -I../pslib/
libpsmoduleastrom_la_LDFLAGS  = -release $(PACKAGE_VERSION)
libpsmoduleastrom_la_SOURCES  = \
	pmFPA.c \
	pmFPAConstruct.c \
	pmFPACopy.c \
	pmFPAMaskWeight.c \
	pmFPARead.c \
	pmFPAUtils.c \
	pmFPAWrite.c \
	pmHDU.c \
	pmHDUUtils.c \
	pmReadout.c \
	pmConcepts.c \
	pmConceptsRead.c \
	pmConceptsWrite.c \
	pmConceptsStandard.c \
	pmFPA_JPEG.c \
	pmFPAview.c \
	pmFPAfile.c

#	pmFPAAstrometry.c
#	pmAstrometryObjects.c
#	pmChipMosaic.c

psmoduleincludedir = $(includedir)
psmoduleinclude_HEADERS = \
	pmFPA.h \
	pmFPAConstruct.h \
	pmFPACopy.h \
	pmFPAMaskWeight.h \
	pmFPARead.h \
	pmFPAUtils.h \
	pmFPAWrite.h \
	pmHDU.h \
	pmHDUUtils.h \
	pmReadout.h \
	pmConcepts.h \
	pmConceptsRead.h \
	pmConceptsWrite.h \
	pmConceptsStandard.h \
	pmFPA_JPEG.h \
	pmFPAview.h \
	pmFPAfile.h

#	pmFPAAstrometry.h
#	pmAstrometryObjects.h
#	pmChipMosaic.h 
